//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------
// Event handler for the OnClick event of btnFootToMeter:
// conversion from foot to meter.
void __fastcall TForm1::btnFootToMeterClick(TObject *Sender)
{
  float Foot, Meter;
  String ResultString;
  // Show the name of the starting length unit
  lblStartUnit->Caption = "foot";
  // Convert the text of the EDIT to a numerical value
  Foot = StrToFloat(edInput->Text);
  // Convert from foot to meter
  Meter = Foot * 0.3048;
  // Convert the floating point number to string-format.
  // "0.00" is the "format string", meaning:
  // "format the result with 2 decimal digits to the right
  // of the decimal separator"
  ResultString = FormatFloat("0.00", Meter);
  // Add the string " meter" and put the string in the CAPTION of the LABEL
  lblResult->Caption = ResultString + " meter";
}
//---------------------------------------------------------------------------

void __fastcall TForm1::btnMeterToFootClick(TObject *Sender)
{
  float Foot, Meter;
  String ResultString;
  // Show the name of the starting length unit
  lblStartUnit->Caption = "meter";
  // Convert the text of the EDIT to a numerical value
  Meter = StrToFloat(edInput->Text);
  // Convert from meter to foot
  Foot = Meter / 0.3048;
  // Convert the floating point number to string-format.
  ResultString = FormatFloat("0.00", Foot);
  // Add the string " foot" and put the string in the CAPTION of the LABEL
  lblResult->Caption = ResultString + " foot";
}
//---------------------------------------------------------------------------

